#!/bin/bash
for d in bin LIB;do
	cd "$d"
	for f in `ls -1 *`;do 
		if [ ! "$f" = "version.dat" ] && [ -f "$f" ] && [ ! -L "$f" ] && [[ ! "$f" == *jar ]];then 
			t=`ls -l --full-time $f | sed -e "s/\ \ */\ /g" | cut -d" " -f6`
			c=`cksum $f | cut -d" " -f1`
			ii=`ident $f |grep -m1 "Ver" | sed -e "s{.*Version\:{{g"`
			iii=`echo "$ii" | sed -e "s/\ *\$.*$//g"`
			i=`echo "$iii" | sed -e "s{\ *{{g"`
			if [ -z "$i" ]; then
				i="None"
			fi
			echo "$f $c $t $i"
		fi
	done
	cd ..
done
